com.amazon.redshift.jdbc

## Enum MetadataAPIHelper.GetForeignKeys_Metadata

- java.lang.Object
- - java.lang.Enum<MetadataAPIHelper.GetForeignKeys_Metadata>
  - - com.amazon.redshift.jdbc.MetadataAPIHelper.GetForeignKeys_Metadata

All Implemented Interfaces:
  MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetForeignKeys_Metadata>, Serializable, Comparable<MetadataAPIHelper.GetForeignKeys_Metadata>

Enclosing class:
  MetadataAPIHelper

    public static enum MetadataAPIHelper.GetForeignKeys_Metadata
    extends Enum<MetadataAPIHelper.GetForeignKeys_Metadata>
    implements MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetForeignKeys_Metadata>

Define return columns for JDBC API getImportedKeys according to the spec

See Also:
  JDBC Specification, JDBC Specification

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEFERRABILITY`
`DELETE_RULE`
`FK_NAME`
`FKCOLUMN_NAME`
`FKTABLE_CAT`
`FKTABLE_NAME`
`FKTABLE_SCHEM`
`KEY_SEQ`
`PK_NAME`
`PKCOLUMN_NAME`
`PKTABLE_CAT`
`PKTABLE_NAME`
`PKTABLE_SCHEM`
`UPDATE_RULE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIndex()`
`String` `getName()`
`int` `getOidType()`
`static MetadataAPIHelper.GetForeignKeys_Metadata` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataAPIHelper.GetForeignKeys_Metadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PKTABLE_CAT

    public static final MetadataAPIHelper.GetForeignKeys_Metadata PKTABLE_CAT

#### PKTABLE_SCHEM

    public static final MetadataAPIHelper.GetForeignKeys_Metadata PKTABLE_SCHEM

#### PKTABLE_NAME

    public static final MetadataAPIHelper.GetForeignKeys_Metadata PKTABLE_NAME

#### PKCOLUMN_NAME

    public static final MetadataAPIHelper.GetForeignKeys_Metadata PKCOLUMN_NAME

#### FKTABLE_CAT

    public static final MetadataAPIHelper.GetForeignKeys_Metadata FKTABLE_CAT

#### FKTABLE_SCHEM

    public static final MetadataAPIHelper.GetForeignKeys_Metadata FKTABLE_SCHEM

#### FKTABLE_NAME

    public static final MetadataAPIHelper.GetForeignKeys_Metadata FKTABLE_NAME

#### FKCOLUMN_NAME

    public static final MetadataAPIHelper.GetForeignKeys_Metadata FKCOLUMN_NAME

#### KEY_SEQ

    public static final MetadataAPIHelper.GetForeignKeys_Metadata KEY_SEQ

#### UPDATE_RULE

    public static final MetadataAPIHelper.GetForeignKeys_Metadata UPDATE_RULE

#### DELETE_RULE

    public static final MetadataAPIHelper.GetForeignKeys_Metadata DELETE_RULE

#### FK_NAME

    public static final MetadataAPIHelper.GetForeignKeys_Metadata FK_NAME

#### PK_NAME

    public static final MetadataAPIHelper.GetForeignKeys_Metadata PK_NAME

#### DEFERRABILITY

    public static final MetadataAPIHelper.GetForeignKeys_Metadata DEFERRABILITY

### Method Detail

#### values

    public static MetadataAPIHelper.GetForeignKeys_Metadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataAPIHelper.GetForeignKeys_Metadata c : MetadataAPIHelper.GetForeignKeys_Metadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataAPIHelper.GetForeignKeys_Metadata valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetForeignKeys_Metadata>`

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetForeignKeys_Metadata>`

#### getOidType

    public int getOidType()

Specified by:
  `getOidType` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetForeignKeys_Metadata>`